> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate stream user

> User authentication (Pusher signin) — REQUIRED for server-side takeover
termination to reach your connection. Configure it as the client's
userAuthentication endpoint.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /s2s/stream/user-auth
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/stream/user-auth:
    post:
      tags:
        - S2S Stream
      summary: Authenticate stream user
      description: |-
        User authentication (Pusher signin) — REQUIRED for server-side takeover
        termination to reach your connection. Configure it as the client's
        userAuthentication endpoint.
      operationId: UserAuth
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/S2SStreamUserAuthBody'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - s2s: []
components:
  schemas:
    S2SStreamUserAuthBody:
      properties:
        socket_id:
          type: string
        consumerId:
          type: string
      required:
        - socket_id
        - consumerId
      type: object
      additionalProperties: false
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````